ALTER PROCEDURE HM.hm_ROKR_UpdateSCStatusForPAR
@IdRO INT,
@SageConnectStatus INT,
@ksMg BIT
AS
BEGIN

	UPDATE HM.DK
	SET statusFK = @SageConnectStatus
	WHERE IdPeriodicSaleReport = @IdRO
	
	IF @ksMg != 0
	BEGIN
		-- Powizania dla zwykych dokumentw przez TR i PO
		UPDATE HM.MG
		SET mg.statusFK = @SageConnectStatus
		FROM HM.MG mg
		JOIN HM.TR trmg ON trmg.owner_id = mg.id AND trmg.owner_base = 33
		JOIN HM.PO po	ON po.id2 = trmg.id
		JOIN HM.TR trdk ON trdk.id = po.id1 AND trdk.owner_base = 16
		JOIN HM.DK dk	ON dk.id = trdk.owner_id
		WHERE dk.IdPeriodicSaleReport = @IdRO

		-- Powizania korekt przez ZZ
		UPDATE HM.MG
		SET mg.statusFK = @SageConnectStatus
		FROM HM.MG mg
		JOIN HM.ZZ zz ON zz.id2 = mg.id
		JOIN HM.DK dk ON zz.id1 = dk.id
		WHERE zz.baza1 = 16 AND zz.baza2 = 33 AND dk.IdPeriodicSaleReport = @IdRO
	END
END
RETURN 0