﻿ALTER PROCEDURE HM.stdhm_update_xt
    @id INT,
    @flag SMALLINT,
    @subtyp SMALLINT,
    @typ SMALLINT,
    @super INT,
    @root INT,
    @podkatalog SMALLINT,
    @zawartosc INT,
    @kod VARCHAR(41),
    @nazwa VARCHAR(101),
    @baza SMALLINT,
    @klient INT,
    @wartosc FLOAT,
    @long INT,
    @long2 INT,
    @data1 DATETIME,
    @data2 DATETIME
AS
BEGIN
    UPDATE hm.XT
    SET flag = @flag,
        subtyp = @subtyp,
        typ = @typ,
        super = @super,
        root = @root,
        podkatalog = @podkatalog,
        zawartosc = @zawartosc,
        kod = @kod,
        nazwa = @nazwa,
        baza = @baza,
        klient = @klient,
        wartosc = @wartosc,
        long = @long,
        long2 = @long2,
        data1 = @data1,
        data2 = @data2
    WHERE @id = id;

    -- ponizsze updaty powinny dotyczyc WYLACZNIE operacji dla katalogow (cs 125808 i 151102)
    -- obecnie wylaczone tylko w przypadku opisow dokumentow
    -- WYMAGAJA WYLACZENIA WE WSZYSTKICH INNYCH PRZYPADKACH (poza katalogami)
    IF (SELECT COUNT(@id) WHERE @id IN ( 5400, 5401, 5402, 5403, 5404, 5405, 5406, 5407, 5410, 5412, 5414, 5416, 5418, 5420, 5422 )) = 0
    BEGIN
       UPDATE hm.Directories
       SET path = HM.GetDirectoryPath(@id)
       WHERE id = @id;

       EXEC HM.UpdateSubDirectories @id
    END

END;
